%define debug_package %{nil}

%define version 1.3
%define release 6

Summary: schemaTools a cool library
Name: libschemaTools
Version: %{version}
Release: %{release}%{?dist}
Group: Applications/System
License: LGPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: https://tools.netsa.cert.org/schemaTools
Vendor: http://tools.netsa.cert.org/
Provides: libschemaTools
Provides: libschemaTools.so
Requires: glib2 >= 2.12.0
BuildRequires: glib2-devel >= 2.4.7
Requires: libfixbuf >= 2.0.0
BuildRequires: libfixbuf-devel >= 2.0.0
BuildRequires: pkgconfig >= 0.8

%description
schemaTools is a really cool library that does really cool stuff.

%package devel
Summary: Static libraries and C header files for libschemaTools
Group: Application/Systems
Provides: libschemaTools-devel
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8

%description devel
Static libraries and C header files for libschemaTools.

%prep
%setup -q -n %{name}-%{version}

%build
./configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Fri Aug 30 2019 Lawrence R. Rogers <lrr@cert.org> 1.3-6
* Release 1.3-6
        Rebuilt for libfixbuf-2.4.0.

* Fri Apr 19 2019 Lawrence R. Rogers <lrr@cert.org> 1.3-5
* Release 1.3-5
        Rebuilt for libfixbuf-2.3.1.

* Mon Mar 25 2019 Lawrence R. Rogers <lrr@cert.org> 1.3-4
* Release 1.3-4
	Rebuilt with libfixbuf 2.3.0.

* Tue Dec  4 2018 Lawrence R. Rogers <lrr@cert.org> 1.3-3
* Release 1.3-3
	Rebuilt with libfixbuf 2.2.0.

* Thu Jul 19 2018 Lawrence R. Rogers <lrr@cert.org> 1.3-2
* Release 1.3-2
	Rebuilt with libfixbuf 2.1.0.

* Fri Jun  1 2018 Lawrence R. Rogers <lrr@cert.org> 1.3-1
* Release 1.3-1
	Rebuilt with libfixbuf 2.0.0.

* Thu Nov  9 2017 Lawrence R. Rogers <lrr@cert.org> 1.2.1-2
* Release 1.2.1-2
	Rebuilt with libfixbuf 1.8.0.

* Sat Jan  7 2017 Lawrence R. Rogers <lrr@cert.org> 1.2.1-1
* Release 1.2.1-1
	Properly escapes quotation marks when printing a STRING
	Other bug fixes

* Wed Sep 30 2015 Lawrence R. Rogers <lrr@cert.org> 1.2-1
* Release 1.2-1
	Initial public release
